tld_get_z(3)

NAME
tld_get_z - API function

SYNOPSIS
#include <tld.h>

int tld_get_z(const char * in, char ** out);

ARGUMENTS

const char * in
    Zero terminated character array to process.

char ** out
    Zero terminated ascii result string pointer.

DESCRIPTION
Isolate the top-level domain of in and return it as an ASCII string in out. The input string in may be UTF-8, ISO-8859-1 or any ASCII compatible character encoding.

RETURN VALUE
Return TLD_SUCCESS on success, or the corresponding Tld_rc error code otherwise.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.